> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch tickets supplement product quantity used

> Update the product quantity used of a supplement given its slug.



## OpenAPI

````yaml patch /tickets/supplement-product-quantity-used/{ticketId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Integrations
  description: >-
    To make any API request you have to use (secret, integration_id) given by
    the organization. <br>
servers:
  - url: https://api-alpha.fourvenues.com/integrations
    description: Alpha
  - url: https://api.fourvenues.com/integrations
    description: Production
security:
  - integration_id: []
    secret: []
    xApiKey: []
paths:
  /tickets/supplement-product-quantity-used/{ticketId}:
    patch:
      tags:
        - Tickets
      description: Update the product quantity used of a supplement given its slug.
      parameters:
        - name: ticketId
          in: path
          required: true
          schema:
            type: string
          description: Id of the ticket
          example: pld8und6200011at0946q40euncgT88E
      requestBody:
        required: true
        description: Body of the request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TicketSupplementProductQuantityUsed'
      responses:
        '200':
          description: HTTP OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      success:
                        type: boolean
                        example: true
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      success:
                        type: boolean
                        example: true
                xml:
                  name: main
        '400':
          description: Bad request
        '401':
          description: HTTP Unauthorized
        '404':
          description: HTTP Not Found
components:
  schemas:
    TicketSupplementProductQuantityUsed:
      properties:
        supplement_slug:
          description: Slug of the supplement.
          example: bus
          type: string
        product_quantity_used:
          description: Quantity of the supplement used.
          example: 1
          type: number
  securitySchemes:
    integration_id:
      type: apiKey
      in: header
      name: integration_id
      description: Identifier of the integration (Auth v1)
    secret:
      type: apiKey
      in: header
      name: secret
      description: Secret of the organization (Auth v1)
    xApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key (Auth v2)

````